{
	"name": "heimdall",
	"version": "0.8",
	"dependencies": [
	],
	"roottask": {
		"name": "logic",
		"type": "group",
		"sub": [
			{
				"name": "postprocess",
				"sub": [
					{
						"name": "link",
						"sub": [
							{
								"name": "compile",
								"type": "typescript",
								"parameters": {
									"inputs": [
										"lib/plankton/plankton.d.ts",
										"source/logic/base.ts",
										"source/logic/helpers/json_schema.ts",
										"source/logic/helpers/sqlite.ts",
										"source/logic/helpers/misc.ts",
										"source/logic/notification_kinds/_abstract.ts",
										"source/logic/notification_kinds/console.ts",
										"source/logic/notification_kinds/email.ts",
										"source/logic/notification_kinds/libnotify.ts",
										"source/logic/check_kinds/_abstract.ts",
										"source/logic/check_kinds/script.ts",
										"source/logic/check_kinds/http_request.ts",
										"source/logic/check_kinds/file_state.ts",
										"source/logic/check_kinds/tls_certificate.ts",
										"source/logic/check_kinds/generic_remote.ts",
										"source/logic/state_repository.ts",
										"source/logic/order.ts",
										"source/logic/main.ts"
									],
									"target": "es2020",
									"strict": true,
									"output": "temp/heimdall-unlinked"
								}
							}
						],
						"type": "concat",
						"parameters": {
							"inputs": [
								"source/misc/head.js",
								"lib/plankton/plankton.js",
								"temp/heimdall-unlinked"
							],
							"output": "temp/heimdall-raw"
						}
					}
				],
				"type": "script",
				"parameters": {
					"path": "tools/postprocess",
					"interpreter": null,
					"inputs": [
						"temp/heimdall-raw"
					],
					"outputs": [
						"build/heimdall"
					]
				}
			},
			{
				"active": true,
				"name": "node_modules",
				"type": "copy",
				"parameters": {
					"folder": true,
					"input": "lib/node/node_modules/",
					"output": "build/node_modules/"
				}
			},
			{
				"name": "localization",
				"type": "copy",
				"parameters": {
					"folder": true,
					"input": "source/localization/",
					"output": "build/localization/"
				}
			}
		]
	}
}
